Skip to main content
PATCH
Update a team

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

team_id
integer
required

The ID of the team to be updated

Body

application/json
name
string

The name of the team

Example:

"Support Team"

description
string

The description of the team

Example:

"This is a team of support agents"

allow_auto_assign
boolean

If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team

Example:

true

icon
string

An emoji or icon shown next to the team

Example:

"๐Ÿš€"

icon_color
string

The color used for the team icon

Example:

"#6C5CE7"

Response

Success

id
number

The ID of the team

name
string

The name of the team

description
string | null

The description about the team

allow_auto_assign
boolean

If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team

icon
string

An emoji or icon shown next to the team

icon_color
string

The color used for the team icon

account_id
number

The ID of the account with the team is a part of

is_member
boolean

This field shows whether the current user is a part of the team